<xsl:variable name="current">
  <xsl:choose>
    <xsl:when test="
        not($master//languages/lang = $lang) and not($this-master)">
      <xsl:message terminate="yes">
        Error: Not in a valid language directory 
        $lang = <xsl:value-of select="$lang"/>
      </xsl:message>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="
          substring-before(
            substring-after(
              substring-after(saxon:systemId(), $src-path), 
              concat($lang, '/')),
            $src-ext)"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:variable>