<pattern name="Heading checks">
  <p>This pattern's rules check the validity of 
     various heading elements.</p>
 
  <rule context="heading-sentence">
    <!--This element must contain exactly one complete sentence (i.e., one 
        with a subject and a predicate) but no punctuation at the end. -->
    <report test="true()">
      Check that this element contains a complete sentence.
    </report>
    <report test="matches(normalize-space(), '[^A-Za-z0-9]$')">
      The last character of this element's content is not a 
      letter nor digit. 
      Please check that there is no punctuation at the end 
      of the heading sentence.
    </report>
    <report test="not(matches(normalize-space(), ' '))">
      This element's value has no spaces. You cannot write a 
      complete sentence without at least one space between words.
    </report>
  </rule>
  <!-- more rules -->
</pattern>