<xsl:template match="/">
  <!-- Store the output of the first pass: -->
  <xsl:variable name="intermediate">
    <xsl:apply-templates mode="first-pass" select="*"/>
  </xsl:variable>

  <!-- Dump results for debugging: -->
  <xsl:result-document href="intermediate.xml">
    <xsl:copy-of select="$intermediate"/>
  </xsl:result-document>

  <!-- Launch second pass: -->
  <xsl:apply-templates select="$intermediate/*"/>
</xsl:template>
