<xsl:variable name="lang">
  <xsl:choose>
    <xsl:when test="substring-after(saxon:systemId(), $src-path)=''">
      <xsl:message terminate="yes">
        Error: Source file path doesn't match $src-path 
        $env = <xsl:value-of select="$env"/>
        systemId = <xsl:value-of select="saxon:systemId()"/>
      </xsl:message>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="
          substring-before(
            substring-after(saxon:systemId(), $src-path),
            '/')"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:variable>