<xsl:template match="page" mode="transform">
  <xsl:variable name="id" select="@id"/>
  <xsl:for-each select="$master//languages/lang">
    <xsl:message>
      Transforming <xsl:value-of select="eg:page-src($id, .)"/>
    </xsl:message>
    <xsl:value-of select="
        files:run(concat(
          'java net.sf.saxon.Transform ', 
          '-o ', eg:page-out($id, .),
          ' ', eg:page-src($id, .),
          ' style.xsl',
          ' env=', $env,
          ' images=', if ($id='home') then $images else 'no'
        ))"/>
  </xsl:for-each>
</xsl:template>