<xsl:template match="p/text()[1]">
  <xsl:copy-of select="eg:upcase2(.)"/>
</xsl:template>

<xsl:function name="eg:upcase2" as="item()*">
  <xsl:param name="str"/>
  <xsl:variable name="seq" select="tokenize($str, '\s+')"/>
  <xsl:sequence>
    <span style="text-transform: uppercase;">
      <xsl:for-each select="1 to 2">
        <xsl:value-of select="item-at($seq, .)"/>
        <xsl:text> </xsl:text>
      </xsl:for-each>
    </span>
    <xsl:for-each select="3 to count($seq)">
      <xsl:value-of select="item-at($seq, .)"/>
      <xsl:text> </xsl:text>
    </xsl:for-each>
  </xsl:sequence>
</xsl:function>